apache2-bin_2.4.7-1ubuntu4.22_amd64.deb


Advertisement

Description

apache2-bin - Apache HTTP Server (binary files and modules)

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main amd64
Package filename apache2-bin_2.4.7-1ubuntu4.22_amd64.deb
Package name apache2-bin
Package version 2.4.7
Package release 1ubuntu4.22
Package architecture amd64
Package type deb
Category httpd
Homepage http://httpd.apache.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 824.94 KB
Installed size 3.25 MB
The Apache Software Foundation's goal is to build a secure, efficient and
extensible HTTP server as standards-compliant open source software. The
result has long been the number one web server on the Internet.
This package contains the binaries only and does not set up a working
web-server instance. Install the "apache2" package to get a fully working
instance. Do not install this package unless you want to set-up the Apache
HTTP server entirely on your own.

Alternatives

Package Version Architecture Repository
apache2-bin_2.4.7-1ubuntu4.22_i386.deb 2.4.7 i386 Ubuntu Updates Main
apache2-bin_2.4.7-1ubuntu4_amd64.deb 2.4.7 amd64 Ubuntu Main
apache2-bin_2.4.7-1ubuntu4_i386.deb 2.4.7 i386 Ubuntu Main
apache2-bin - - -

Requires

Name Value
libapr1 >= 1.5.0
libaprutil1 >= 1.5.0
libaprutil1-dbd-freetds -
libaprutil1-dbd-mysql -
libaprutil1-dbd-odbc -
libaprutil1-dbd-pgsql -
libaprutil1-dbd-sqlite3 -
libaprutil1-ldap -
libc6 >= 2.14
libldap-2.4-2 >= 2.4.7
libpcre3 -
libssl1.0.0 >= 1.0.1
libxml2 >= 2.7.4
perl -
zlib1g >= 1:1.1.4

Provides

Name Value
apache2-api-20120211 -
httpd -
httpd-cgi -

Conflicts

Name Value
apache2.2-bin << 2.3~
apache2.2-common -

Replaces

Name Value
apache2-mpm-event << 2.3~
apache2-mpm-itk << 2.3~
apache2-mpm-prefork << 2.3~
apache2-mpm-worker << 2.3~
apache2.2-bin << 2.3~
apache2.2-common -
libapache2-mod-macro << 1:2.4.6-1~
libapache2-mod-proxy-html << 1:2.4.4-2~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package apache2-bin_2.4.7-1ubuntu4.22_amd64.deb
Source Package apache2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install apache2-bin deb package:
    # sudo apt-get install apache2-bin

Files

Path
/usr/lib/apache2/modules/httpd.exp
/usr/lib/apache2/modules/mod_access_compat.so
/usr/lib/apache2/modules/mod_actions.so
/usr/lib/apache2/modules/mod_alias.so
/usr/lib/apache2/modules/mod_allowmethods.so
/usr/lib/apache2/modules/mod_asis.so
/usr/lib/apache2/modules/mod_auth_basic.so
/usr/lib/apache2/modules/mod_auth_digest.so
/usr/lib/apache2/modules/mod_auth_form.so
/usr/lib/apache2/modules/mod_authn_anon.so
/usr/lib/apache2/modules/mod_authn_core.so
/usr/lib/apache2/modules/mod_authn_dbd.so
/usr/lib/apache2/modules/mod_authn_dbm.so
/usr/lib/apache2/modules/mod_authn_file.so
/usr/lib/apache2/modules/mod_authn_socache.so
/usr/lib/apache2/modules/mod_authnz_ldap.so
/usr/lib/apache2/modules/mod_authz_core.so
/usr/lib/apache2/modules/mod_authz_dbd.so
/usr/lib/apache2/modules/mod_authz_dbm.so
/usr/lib/apache2/modules/mod_authz_groupfile.so
/usr/lib/apache2/modules/mod_authz_host.so
/usr/lib/apache2/modules/mod_authz_owner.so
/usr/lib/apache2/modules/mod_authz_user.so
/usr/lib/apache2/modules/mod_autoindex.so
/usr/lib/apache2/modules/mod_buffer.so
/usr/lib/apache2/modules/mod_cache.so
/usr/lib/apache2/modules/mod_cache_disk.so
/usr/lib/apache2/modules/mod_cache_socache.so
/usr/lib/apache2/modules/mod_cgi.so
/usr/lib/apache2/modules/mod_cgid.so
/usr/lib/apache2/modules/mod_charset_lite.so
/usr/lib/apache2/modules/mod_data.so
/usr/lib/apache2/modules/mod_dav.so
/usr/lib/apache2/modules/mod_dav_fs.so
/usr/lib/apache2/modules/mod_dav_lock.so
/usr/lib/apache2/modules/mod_dbd.so
/usr/lib/apache2/modules/mod_deflate.so
/usr/lib/apache2/modules/mod_dialup.so
/usr/lib/apache2/modules/mod_dir.so
/usr/lib/apache2/modules/mod_dumpio.so
/usr/lib/apache2/modules/mod_echo.so
/usr/lib/apache2/modules/mod_env.so
/usr/lib/apache2/modules/mod_expires.so
/usr/lib/apache2/modules/mod_ext_filter.so
/usr/lib/apache2/modules/mod_file_cache.so
/usr/lib/apache2/modules/mod_filter.so
/usr/lib/apache2/modules/mod_headers.so
/usr/lib/apache2/modules/mod_heartbeat.so
/usr/lib/apache2/modules/mod_heartmonitor.so
/usr/lib/apache2/modules/mod_include.so
/usr/lib/apache2/modules/mod_info.so
/usr/lib/apache2/modules/mod_lbmethod_bybusyness.so
/usr/lib/apache2/modules/mod_lbmethod_byrequests.so
/usr/lib/apache2/modules/mod_lbmethod_bytraffic.so
/usr/lib/apache2/modules/mod_lbmethod_heartbeat.so
/usr/lib/apache2/modules/mod_ldap.so
/usr/lib/apache2/modules/mod_log_debug.so
/usr/lib/apache2/modules/mod_log_forensic.so
/usr/lib/apache2/modules/mod_macro.so
/usr/lib/apache2/modules/mod_mime.so
/usr/lib/apache2/modules/mod_mime_magic.so
/usr/lib/apache2/modules/mod_mpm_event.so
/usr/lib/apache2/modules/mod_mpm_prefork.so
/usr/lib/apache2/modules/mod_mpm_worker.so
/usr/lib/apache2/modules/mod_negotiation.so
/usr/lib/apache2/modules/mod_proxy.so
/usr/lib/apache2/modules/mod_proxy_ajp.so
/usr/lib/apache2/modules/mod_proxy_balancer.so
/usr/lib/apache2/modules/mod_proxy_connect.so
/usr/lib/apache2/modules/mod_proxy_express.so
/usr/lib/apache2/modules/mod_proxy_fcgi.so
/usr/lib/apache2/modules/mod_proxy_fdpass.so
/usr/lib/apache2/modules/mod_proxy_ftp.so
/usr/lib/apache2/modules/mod_proxy_html.so
/usr/lib/apache2/modules/mod_proxy_http.so
/usr/lib/apache2/modules/mod_proxy_scgi.so
/usr/lib/apache2/modules/mod_proxy_wstunnel.so
/usr/lib/apache2/modules/mod_ratelimit.so
/usr/lib/apache2/modules/mod_reflector.so
/usr/lib/apache2/modules/mod_remoteip.so
/usr/lib/apache2/modules/mod_reqtimeout.so
/usr/lib/apache2/modules/mod_request.so
/usr/lib/apache2/modules/mod_rewrite.so
/usr/lib/apache2/modules/mod_sed.so
/usr/lib/apache2/modules/mod_session.so
/usr/lib/apache2/modules/mod_session_cookie.so
/usr/lib/apache2/modules/mod_session_crypto.so
/usr/lib/apache2/modules/mod_session_dbd.so
/usr/lib/apache2/modules/mod_setenvif.so
/usr/lib/apache2/modules/mod_slotmem_plain.so
/usr/lib/apache2/modules/mod_slotmem_shm.so
/usr/lib/apache2/modules/mod_socache_dbm.so
/usr/lib/apache2/modules/mod_socache_memcache.so
/usr/lib/apache2/modules/mod_socache_shmcb.so
/usr/lib/apache2/modules/mod_speling.so
/usr/lib/apache2/modules/mod_ssl.so
/usr/lib/apache2/modules/mod_status.so
/usr/lib/apache2/modules/mod_substitute.so
/usr/lib/apache2/modules/mod_suexec.so
/usr/lib/apache2/modules/mod_unique_id.so
/usr/lib/apache2/modules/mod_userdir.so
/usr/lib/apache2/modules/mod_usertrack.so
/usr/lib/apache2/modules/mod_vhost_alias.so
/usr/lib/apache2/modules/mod_xml2enc.so
/usr/sbin/apache2
/usr/share/apport/package-hooks/apache2.py
/usr/share/bug/apache2-bin/control
/usr/share/bug/apache2-bin/script
/usr/share/doc/apache2-bin/changelog.Debian.gz
/usr/share/doc/apache2-bin/copyright
/usr/share/lintian/overrides/apache2-bin
/usr/share/man/man8/apache2.8.gz

Changelog

2019-04-03 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
apache2 (2.4.7-1ubuntu4.22) trusty-security; urgency=medium
* SECURITY UPDATE: mod_session expiry time issue
- debian/patches/CVE-2018-17199-pre1.patch: properly handle sessions
that could not be decoded in modules/session/mod_session.c.
- debian/patches/CVE-2018-17199.patch: always decode session attributes
early in modules/session/mod_session.c.
- CVE-2018-17199
* SECURITY UPDATE: mod_auth_digest access control bypass
- debian/patches/CVE-2019-0217.patch: fix a race condition in
modules/aaa/mod_auth_digest.c.
- CVE-2019-0217
* SECURITY UPDATE: URL normalization inconsistincy
- debian/patches/CVE-2019-0220-1.patch: merge consecutive slashes in
the path in include/http_core.h, include/httpd.h, server/core.c,
server/request.c, server/util.c.
- debian/patches/CVE-2019-0220-2.patch: fix r->parsed_uri.path safety
in server/request.c, server/util.c.
- debian/patches/CVE-2019-0220-3.patch: maintainer mode fix in
server/util.c.
- CVE-2019-0220
2018-11-23 - Andreas Hasenack <andreas@canonical.com>
apache2 (2.4.7-1ubuntu4.21) trusty; urgency=medium
* d/p/AuthzProviderAlias-visibility.patch: Allow <AuthzProviderAlias>'es
to be seen from auth stanzas under virtual hosts (LP: #1529355)
2018-04-18 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
apache2 (2.4.7-1ubuntu4.20) trusty-security; urgency=medium
* SECURITY UPDATE: DoS via missing header with AuthLDAPCharsetConfig
- debian/patches/CVE-2017-15710.patch: fix language long names
detection as short name in modules/aaa/mod_authnz_ldap.c.
- CVE-2017-15710
* SECURITY UPDATE: incorrect <FilesMatch> matching
- debian/patches/CVE-2017-15715-pre.patch: add ap_cstr_casecmp[n]() to
include/httpd.h, server/util.c.
- debian/patches/CVE-2017-15715.patch: allow to configure
global/default options for regexes, like caseless matching or
extended format in include/ap_regex.h, server/core.c,
server/util_pcre.c.
- CVE-2017-15715
* SECURITY UPDATE: mod_session header manipulation
- debian/patches/CVE-2018-1283.patch: strip Session header when
SessionEnv is on in modules/session/mod_session.c.
- CVE-2018-1283
* SECURITY UPDATE: DoS via specially-crafted request
- debian/patches/CVE-2018-1301.patch: ensure that read lines are NUL
terminated on any error, not only on buffer full in
server/protocol.c.
- CVE-2018-1301
* SECURITY UPDATE: mod_cache_socache DoS
- debian/patches/CVE-2018-1303.patch: fix caching of empty headers up
to carriage return in modules/cache/mod_cache_socache.c.
- CVE-2018-1303
* SECURITY UPDATE: insecure nonce generation
- debian/patches/CVE-2018-1312.patch: actually use the secret when
generating nonces in modules/aaa/mod_auth_digest.c.
- CVE-2018-1312
2018-03-02 - Rafael David Tinoco <rafael.tinoco@canonical.com>
apache2 (2.4.7-1ubuntu4.19) trusty; urgency=medium
* Avoid crashes, hangs and loops by fixing mod_ldap locking: (LP: #1752683)
- added debian/patches/util_ldap_cache_lock_fix.patch
2017-09-18 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
apache2 (2.4.7-1ubuntu4.18) trusty-security; urgency=medium
* SECURITY UPDATE: optionsbleed information leak
- debian/patches/CVE-2017-9798.patch: disallow method registration
at run time in server/core.c.
- CVE-2017-9798
2017-07-27 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
apache2 (2.4.7-1ubuntu4.17) trusty-security; urgency=medium
* SECURITY UPDATE: uninitialized memory reflection in mod_auth_digest
- debian/patches/CVE-2017-9788.patch: correct string scope in
modules/aaa/mod_auth_digest.c.
- CVE-2017-9788

See Also

Package Description
apache2-data_2.4.7-1ubuntu4.22_all.deb Apache HTTP Server (common files)
apache2-dev_2.4.7-1ubuntu4.22_amd64.deb Apache HTTP Server (development headers)
apache2-doc_2.4.7-1ubuntu4.22_all.deb Apache HTTP Server (on-site documentation)
apache2-mpm-event_2.4.7-1ubuntu4.22_amd64.deb transitional event MPM package for apache2
apache2-mpm-prefork_2.4.7-1ubuntu4.22_amd64.deb transitional prefork MPM package for apache2
apache2-mpm-worker_2.4.7-1ubuntu4.22_amd64.deb transitional worker MPM package for apache2
apache2-utils_2.4.7-1ubuntu4.22_amd64.deb Apache HTTP Server (utility programs for web servers)
apache2.2-bin_2.4.7-1ubuntu4.22_amd64.deb Transitional package for apache2-bin
apache2_2.4.7-1ubuntu4.22_amd64.deb Apache HTTP Server
app-install-data_14.04.1_all.deb Ubuntu applications (data files)
apparmor-docs_2.10.95-0ubuntu2.6~14.04.4_all.deb documentation for AppArmor
apparmor-easyprof_2.10.95-0ubuntu2.6~14.04.4_all.deb AppArmor easyprof profiling tool
apparmor-notify_2.10.95-0ubuntu2.6~14.04.4_all.deb AppArmor notification system
apparmor-profiles_2.10.95-0ubuntu2.6~14.04.4_all.deb profiles for AppArmor Security policies
apparmor-utils_2.10.95-0ubuntu2.6~14.04.4_amd64.deb utilities for controlling AppArmor
Advertisement
Advertisement